#ifndef EDITSCENE_GOAP_RUNNER_EDITOR_HPP
#define EDITSCENE_GOAP_RUNNER_EDITOR_HPP
#pragma once

#include "ComponentEditor.hpp"
#include "../components/GoapRunner.hpp"

/**
 * Editor for GoapRunnerComponent.
 */
class GoapRunnerEditor : public ComponentEditor<GoapRunnerComponent> {
public:
	const char *getName() const override
	{
		return "GOAP Runner";
	}

protected:
	bool renderComponent(flecs::entity entity,
			     GoapRunnerComponent &runner) override;

private:
	const char *stateName(GoapRunnerComponent::State state);
};

#endif // EDITSCENE_GOAP_RUNNER_EDITOR_HPP
